## com.thingmagic
Class Gen2.IDS.SL900A.Initialize

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.Gen2CustomTagOp
              com.thingmagic.Gen2.IDS
                  com.thingmagic.Gen2.IDS.SL900A
                      com.thingmagic.Gen2.IDS.SL900A.Initialize

Enclosing class:
  Gen2.IDS.SL900A

    public static class Gen2.IDS.SL900A.Initialize

extends Gen2.IDS.SL900A

Nested Class Summary

Nested classes/interfaces inherited from class com.thingmagic.Gen2.IDS.SL900A

`Gen2.IDS.SL900A.AccessFifo, Gen2.IDS.SL900A.AccessFifoRead, Gen2.IDS.SL900A.AccessFifoStatus, Gen2.IDS.SL900A.AccessFifoWrite, Gen2.IDS.SL900A.ApplicationData, Gen2.IDS.SL900A.BatteryLevelReading, Gen2.IDS.SL900A.BatteryType, Gen2.IDS.SL900A.CalibrationData, Gen2.IDS.SL900A.CalSfe, Gen2.IDS.SL900A.Delay, Gen2.IDS.SL900A.DelayMode, Gen2.IDS.SL900A.EndLog, Gen2.IDS.SL900A.FifoSource, Gen2.IDS.SL900A.FifoStatus, Gen2.IDS.SL900A.GetBatteryLevel, Gen2.IDS.SL900A.GetCalibrationData, Gen2.IDS.SL900A.GetLogState, Gen2.IDS.SL900A.GetMeasurementLogLimit, Gen2.IDS.SL900A.GetMeasurementSetup, Gen2.IDS.SL900A.GetSensorValue, Gen2.IDS.SL900A.Initialize, Gen2.IDS.SL900A.Level, Gen2.IDS.SL900A.LimitCounter, Gen2.IDS.SL900A.LoggingForm, Gen2.IDS.SL900A.LogLimit, Gen2.IDS.SL900A.LogModeData, Gen2.IDS.SL900A.LogState, Gen2.IDS.SL900A.MeasurementSetupData, Gen2.IDS.SL900A.Sensor, Gen2.IDS.SL900A.SensorReading, Gen2.IDS.SL900A.SetCalibrationData, Gen2.IDS.SL900A.SetLogLimit, Gen2.IDS.SL900A.SetLogMode, Gen2.IDS.SL900A.SetPassword, Gen2.IDS.SL900A.SetSfeParameters, Gen2.IDS.SL900A.SetShelfLife, Gen2.IDS.SL900A.SfeParameters, Gen2.IDS.SL900A.ShelfLifeBlock0, Gen2.IDS.SL900A.ShelfLifeBlock1, Gen2.IDS.SL900A.StartLog, Gen2.IDS.SL900A.StatusFlags, Gen2.IDS.SL900A.StorageRule, Gen2.IDS.SL900A.SystemStatus`

Nested classes/interfaces inherited from class com.thingmagic.Gen2.IDS
`Gen2.IDS.SL900A`

Field Summary
`Gen2.IDS.SL900A.ApplicationData` `appData`
`Gen2.IDS.SL900A.Delay` `delayTime`

Fields inherited from class com.thingmagic.Gen2.IDS.SL900A
`accessPassword, commandCode, password, passwordLevel`

Fields inherited from class com.thingmagic.Gen2.Gen2CustomTagOp
`chipType`

Constructor Summary
`Gen2.IDS.SL900A.Initialize()`
`Gen2.IDS.SL900A.Initialize(byte passwordLevel, int password)`

Method Summary

Methods inherited from class com.thingmagic.Gen2.IDS.SL900A
`parseLogLimitsData`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### delayTime

    public Gen2.IDS.SL900A.Delay delayTime

### appData

    public Gen2.IDS.SL900A.ApplicationData appData

Constructor Detail

### Gen2.IDS.SL900A.Initialize

    public Gen2.IDS.SL900A.Initialize()

### Gen2.IDS.SL900A.Initialize

    public Gen2.IDS.SL900A.Initialize(byte passwordLevel,
                                      int password)